datacache <- new.env(hash=TRUE, parent=emptyenv())

rnu34rnentrezg <- function() showQCData("rnu34rnentrezg", datacache)
rnu34rnentrezg_dbconn <- function() dbconn(datacache)
rnu34rnentrezg_dbfile <- function() dbfile(datacache)
rnu34rnentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
rnu34rnentrezg_dbInfo <- function() dbInfo(datacache)

rnu34rnentrezgORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "rnu34rnentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("RATCHIP_DB", "rnu34rnentrezg", "chip rnu34rnentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("rnu34rnentrezg.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(rnu34rnentrezg_dbconn())
}

